<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div class="contentFull left filler-bottom-end-p">
    <h3>
      <a href="{{hostUrl}}/country/{{law?.country.entityId}}/administration" target="_blank">
        {{law?.country.name}}
      </a>
    </h3>
    <div class="content-holder filler-bottom">
      <h4>Law #{{law?.id}} - {{law?.lawName | translate }}</h4>
      <p *ngFor="let text of law?.text">
        {{text}}
      </p>
      <div nz-row nzType="flex" nzAlign="middle" nzJustify="space-between" nzGutter="8">
        <div nz-col>
          <span *ngIf="law?.status == 0">
            {{law?.timeLeft}}
          </span>
        </div>
        <div nz-col>
          {{"Military.Battle.Status" | translate }}:
          {{law?.statusName}}
          {{law?.status == 3 ? law?.payload.rejectReason : ""}}
        </div>
      </div>
    </div>
    <div class="content-holder">
      <h4>{{"Miscellaneous.Homepage.Votes" | translate }}</h4>
      <div nz-row nzType="flex" nzAlign="middle" nzJustify="space-between"
        *ngIf="law?.canVote == true && law?.status == 0">
        <div nz-col>
          <button nz-button nzType="green" (click)="vote('Y')">
            Vote for
          </button>
        </div>
        <div nz-col>
          <button nz-button nzType="blue" (click)="vote('A')">
            Abstain
          </button>
        </div>
        <div nz-col>
          <button nz-button nzType="danger" (click)="vote('N')">
            Vote against
          </button>
        </div>
      </div>
      <p *ngIf="law?.votes.length == 0">
        {{"Political.Elections.NotVotesYet" | translate }}
      </p>
      <div style="text-align: center;" nzGutter="8" ngClass="votes" nz-row nzType="flex" nzAlign="top"
        nzJustify="space-between" *ngIf="law?.votes.length > 0">
        <div nz-col nzSpan="8">
          <p>{{"Political.Elections.VotedFor" | translate }}</p>
          <div nzGutter="8" *ngFor="let vote of law?.votesY" nz-row nzType="flex" nzAlign="middle" nzJustify="start">
            <div nz-col nzXs="24">
              <a style="display: block;" href="{{hostUrl}}/citizen/{{vote.citizen.entityId}}" target="_blank">
                <img class="avatar" src="{{hostUrl}}/{{vote.citizen.avatarLocation}}">
                <br />
                {{vote.citizen.name}}
              </a>
              <br>
              <span class="small"><a href="{{hostUrl}}/party/{{vote.party?.entityId}}">{{vote.party?.name}}</a></span>
            </div>
          </div>
        </div>
        <div nz-col nzSpan="8">
          <p>{{"Political.Elections.Abstained" | translate }}</p>
          <div *ngFor="let vote of law?.votesA" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
            <div nz-col nzXs="24">
              <a style="display: block;" href="{{hostUrl}}/citizen/{{vote.citizen.entityId}}" target="_blank">
                <img class="avatar" src="{{hostUrl}}/{{vote.citizen.avatarLocation}}">
                <br />
                {{vote.citizen.name}}
              </a>
              <br>
              <span class="small"><a href="{{hostUrl}}/party/{{vote.party?.entityId}}">{{vote.party?.name}}</a></span>
            </div>
          </div>
        </div>
        <div nz-col nzSpan="8">
          <p>{{"Political.Elections.VotedAgainst" | translate }}</p>
          <div *ngFor="let vote of law?.votesN" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
            <div nz-col nzXs="24">
              <a style="display: block;" href="{{hostUrl}}/citizen/{{vote.citizen.entityId}}" target="_blank">
                <img class="avatar" src="{{hostUrl}}/{{vote.citizen.avatarLocation}}">
                <br />
                {{vote.citizen.name}}
              </a>
              <br>
              <span class="small"><a href="{{hostUrl}}/party/{{vote.party?.entityId}}">{{vote.party?.name}}</a></span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</nz-spin>